Cassandra.Processor.trace_next_query (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra.Processor.trace_next_query<I extends Cassandra.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,Cassandra.trace_next_query_args>
  - - org.apache.cassandra.thrift.Cassandra.Processor.trace_next_query<I>

- Enclosing class:
    Cassandra.Processor<I extends Cassandra.Iface>

      public static class Cassandra.Processor.trace_next_query<I extends Cassandra.Iface>
      extends org.apache.thrift.ProcessFunction<I,Cassandra.trace_next_query_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `trace_next_query()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.trace_next_query_args` | `getEmptyArgsInstance()`
    `Cassandra.trace_next_query_result` | `getResult(I iface, Cassandra.trace_next_query_args args)`
    `protected boolean` | `isOneway()`

    - ### Methods inherited from class org.apache.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### trace_next_query

          public trace_next_query()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.trace_next_query_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.trace_next_query_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.trace_next_query_args>`

    - #### getResult

          public Cassandra.trace_next_query_result getResult(I iface,
                                                             Cassandra.trace_next_query_args args)
                                                      throws org.apache.thrift.TException

      Specified by:
        `getResult` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.trace_next_query_args>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation